For AI agents: a documentation index is available at https://www.mongodb.com/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.
See how MongoDB 9.0 delivers up to 2x higher throughput.
MongoDB Branding Shape
Register now >
Docs Menu

Remove One Role Mapping

The federationSettings resource allows you to return one role mapping from the specified organization in the specified federation.

Base URL: https://cloud.mongodb.com/api/public/v1.0

You must have the Organization Owner role to call this endpoint.

DELETE /federationSettings/{FEDERATION-SETTINGS-ID}/connectedOrgConfigs/{ORG-ID}/roleMappings/{ROLE-MAPPING-ID}
Name
Type
Description

FEDERATION-SETTINGS-ID

string

Unique 24-hexadecimal digit string that identifies the federated authentication configuration.

ORG-ID

string

Unique 24-hexadecimal digit string that identifies the connected organization.

ROLE-MAPPING-ID

string

Unique 24-hexadecimal digit string that identifies the role mapping.

The following query parameters are optional:

Name
Type
Necessity
Description
Default

pretty

boolean

Optional

Flag indicating whether to return the response body in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope.

Some API clients can't access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

For endpoints that return one result, the response body includes:

  • status: HTTP response code

  • content: Expected response body

false

This endpoint does not use HTTP request body parameters.

This endpoint does not return a response body.

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
--header "Accept: application/json" \
--header "Content-Type: application/json" \
--include \
--request GET "https://<OpsManagerHost>:<Port>/api/public/v1.0/federationSettings/{FEDERATION-SETTINGS-ID}/connectedOrgConfigs/{ORG-ID}/roleMappings/{ROLE-MAPPING-ID}"

This endpoint does not return a response body.